Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoProfileBridgeValue Class Reference
GoSdk/Tools » Profile

## Description

Represents a profile bridge value tool.

Inheritance diagram for GoProfileBridgeValue:

## Public Member Functions
GoProfileBridgeValueAngle | GoProfileBridgeValue_AngleMeasurement (GoProfileBridgeValue tool)
| Returns a GoProfileBridgeValue angle measurement object. More...
GoProfileBridgeValueBridgeValue | GoProfileBridgeValue_BridgeValueMeasurement (GoProfileBridgeValue tool)
| Returns a GoProfileBridgeValue bridge value measurement object. More...
kStatus | GoProfileBridgeValue_EnableNormalize (GoProfileBridgeValue tool, kBool enable)
| Enables or disables normalization. More...
kStatus | GoProfileBridgeValue_EnableRegion (GoProfileBridgeValue tool, kBool enable)
| Enables or disables the tool region. More...
k64f | GoProfileBridgeValue_MaxDifferential (GoProfileBridgeValue tool)
| Gets the profile X-Line tool max differential. More...
k64f | GoProfileBridgeValue_MaxDifferentialLimitMax (GoProfileBridgeValue tool)
| Gets the profile X-Line tool max differential maximum value limit. More...
k64f | GoProfileBridgeValue_MaxDifferentialLimitMin (GoProfileBridgeValue tool)
| Gets the profile X-Line tool max differential minimum value limit. More...
k64f | GoProfileBridgeValue_MaxInvalid (GoProfileBridgeValue tool)
| Gets the profile X-Line tool max invalid percentage. More...
kBool | GoProfileBridgeValue_NormalizeEnabled (GoProfileBridgeValue tool)
| Returns the enabled state of normalization. More...
GoProfileRegion | GoProfileBridgeValue_Region (GoProfileBridgeValue tool)
| Gets the bridge value profile region. More...
kBool | GoProfileBridgeValue_RegionEnabled (GoProfileBridgeValue tool)
| Returns the enabled state of the tool region. More...
kStatus | GoProfileBridgeValue_SetMaxDifferential (GoProfileBridgeValue tool, k64f value)
| Sets the profile X-Line tool max differential. More...
kStatus | GoProfileBridgeValue_SetMaxInvalid (GoProfileBridgeValue tool, k64f value)
| Sets the profile X-Line tool max invalid percentage. More...
kStatus | GoProfileBridgeValue_SetWindowSize (GoProfileBridgeValue tool, k64f value)
| Sets the profile X-Line tool window size percentage. More...
kStatus | GoProfileBridgeValue_SetWindowSkip (GoProfileBridgeValue tool, k64f value)
| Sets the profile X-Line tool window skip percentage. More...
k64f | GoProfileBridgeValue_WindowSize (GoProfileBridgeValue tool)
| Gets the profile X-Line tool window size percentage. More...
k64f | GoProfileBridgeValue_WindowSkip (GoProfileBridgeValue tool)
| Gets the profile X-Line tool window skip percentage. More...
kStatus | GoProfileTool_SetSource (GoProfileTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoProfileTool_SetXAnchor (GoProfileTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoProfileTool_SetZAnchor (GoProfileTool tool, k32s id)
| Sets the Z-anchoring source. More...
GoDataSource | GoProfileTool_Source (GoProfileTool tool)
| Gets the data source. More...
GoDataSource | GoProfileTool_SourceOptionAt (GoProfileTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoProfileTool_SourceOptionCount (GoProfileTool tool)
| Gets the data source option list count. More...
k32s | GoProfileTool_XAnchor (GoProfileTool tool)
| Gets the current X-anchoring source. More...
kBool | GoProfileTool_XAnchorEnabled (GoProfileTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoProfileTool_XAnchorOptionAt (GoProfileTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoProfileTool_XAnchorOptionCount (GoProfileTool tool)
| Gets the X-anchoring option list count. More...
k32s | GoProfileTool_ZAnchor (GoProfileTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoProfileTool_ZAnchorEnabled (GoProfileTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoProfileTool_ZAnchorOptionAt (GoProfileTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoProfileTool_ZAnchorOptionCount (GoProfileTool tool)
| Gets the Z-anchoring option list count. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...

The documentation for this class was generated from the following file:

- Tools/GoProfileTools.h